Package org.eclipse.birt.chart.model.attribute

# Enum ChartDimension

java.lang.Object
java.lang.Enum<ChartDimension>
org.eclipse.birt.chart.model.attribute.ChartDimension

All Implemented Interfaces:
  `Serializable`, `Comparable<ChartDimension>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum ChartDimension extends Enum<ChartDimension> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Chart Dimension', and utility methods for working with them. This type defines the allowed values for Chart dimensions. Any new Chart dimension type needs to be added here to be supported.

See Also:
  - `AttributePackage.getChartDimension()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`THREE_DIMENSIONAL_LITERAL`
The 'Three Dimensional' literal object.
`TWO_DIMENSIONAL_LITERAL`
The 'Two Dimensional' literal object.
`TWO_DIMENSIONAL_WITH_DEPTH_LITERAL`
The 'Two Dimensional With Depth' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`THREE_DIMENSIONAL`
The 'Three Dimensional' literal value.
`static final int`
`TWO_DIMENSIONAL`
The 'Two Dimensional' literal value.
`static final int`
`TWO_DIMENSIONAL_WITH_DEPTH`
The 'Two Dimensional With Depth' literal value.
`static final List<ChartDimension>`
`VALUES`
A public read-only list of all the 'Chart Dimension' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static ChartDimension`
`get(int value)`
Returns the 'Chart Dimension' literal with the specified integer value.
`static ChartDimension`
`get(String literal)`
Returns the 'Chart Dimension' literal with the specified literal value.
`static ChartDimension`
`getByName(String name)`
Returns the 'Chart Dimension' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static ChartDimension`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ChartDimension[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TWO_DIMENSIONAL_LITERAL

public static final ChartDimension TWO_DIMENSIONAL_LITERAL
The 'Two Dimensional' literal object.

If the meaning of 'Two Dimensional' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TWO_DIMENSIONAL`

### TWO_DIMENSIONAL_WITH_DEPTH_LITERAL

public static final ChartDimension TWO_DIMENSIONAL_WITH_DEPTH_LITERAL
The 'Two Dimensional With Depth' literal object.

If the meaning of 'Two Dimensional With Depth' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TWO_DIMENSIONAL_WITH_DEPTH`

### THREE_DIMENSIONAL_LITERAL

public static final ChartDimension THREE_DIMENSIONAL_LITERAL
The 'Three Dimensional' literal object.

If the meaning of 'Three Dimensional' literal object isn't clear, there really should be more of a description here...

See Also:
  - `THREE_DIMENSIONAL`

## Field Details

### TWO_DIMENSIONAL

public static final int TWO_DIMENSIONAL
The 'Two Dimensional' literal value.

See Also:
  - `TWO_DIMENSIONAL_LITERAL`
  - Constant Field Values

### TWO_DIMENSIONAL_WITH_DEPTH

public static final int TWO_DIMENSIONAL_WITH_DEPTH
The 'Two Dimensional With Depth' literal value.

See Also:
  - `TWO_DIMENSIONAL_WITH_DEPTH_LITERAL`
  - Constant Field Values

### THREE_DIMENSIONAL

public static final int THREE_DIMENSIONAL
The 'Three Dimensional' literal value.

See Also:
  - `THREE_DIMENSIONAL_LITERAL`
  - Constant Field Values

### VALUES

public static final List<ChartDimension> VALUES
A public read-only list of all the 'Chart Dimension' enumerators.

## Method Details

### values

public static ChartDimension[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ChartDimension valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static ChartDimension get(String literal)
Returns the 'Chart Dimension' literal with the specified literal value.

### getByName

public static ChartDimension getByName(String name)
Returns the 'Chart Dimension' literal with the specified name.

### get

public static ChartDimension get(int value)
Returns the 'Chart Dimension' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<ChartDimension>`